  The Cleric.

This class bears resemblance to religious orders of medievil times.
All clerics have their own 'spells' or 'prayers' in which they invoke
the name  of their God. These are bestowed upon them for correct and
diligent prayers, deeds and worship.

All clerics have certain holy (or unholy) symbols which to aid them, 
serving not only as a symbol of their faith, but also as the tool 
which they use to call on the powers of their God.

The Gods of the realms are -
     The 'All God'
Supreme ruler of the panthenon. Good, and Just. The Creator. The Father.

     Seeker
God of Light. Destructor of Undead.

     Reorx
God of Dwarves, Gnomes, Halflings, Technology.

     Antaaries.
Goddess of Nature and Healing, Goddess of Elves.

     Bahamut.
God of Good Dragonkind.

     Thoth.
God of All Knowledge.

     The Elemental Gods (The Lesser Gods)
Air, Earth, Water, Fire and Time.

     Taalandrix
God of Mischief, Thieves, Tomfoolery, Fun and Practical Jokes.

     Lolth
Goddess of Spiders, Dark Elves, Night and Darkness.

     Ares
God of War, Bloodshed.

     Death.
God of Disease, the Undead, and Eternal Death and Damnation.

     Tiamut
Goddess of Evil Dragonkind.

Another important attribute of good aligned clerics is their ability
to turn away the 'undead' and less powerful 'demons' and 'devils'.

The 'undead' are: ghasts, ghosts, ghouls, liches, mummies, shadows,
skeletons, spectres, wights, wraiths, vampires, zombies, and the like.
Such have the power to drain the life escence from people. Their touch
can be deadly cold, and their state of decay can easily transmit disease.
Such are raised to their 'unliving state' by evil clerics, and evil
mages who study necromancy. Such serve as guardians, but some are 
free willed - these are the most evil and dangerous. Not only do such
have the powers that they once had when alive, but enhanced abilities
due to their undead states. Vampires and Liches serve the greatest 
threat, but it is known that several other types of undead can be
free willed and just as powerful - mummies, ghosts, and spectres.

Clerics can also enchant items, scribe scrolls, and brew potions in
the same way as mages. (See help mages /enchant).

Upon reaching 30th level, a cleric may build a religious stronghold.
This fortified place must contain a large temple, cathedral, or 
church. It can be an abbey, a monastery, a castle, or the like. When
this is achieved, he will automatically attract a body of NPC
followers - fanatical loyalists who serve so long as the cleric
maintains his standing with the deity he worships. 

Table 1: Clerics Level Titles and Experience
-------------------------------------------------------------
Level        Clerics Titles                  Exp for Level
-------------------------------------------------------------
-------------------------------------------------------------
1	the Utter Newbie                       1014
2	the Humble Acolyte                     2502
3	the Devout Acolyte                     3200
4	the Humble Decon                       4224
5	the Devout Decon                       5727
6	the Humble Servant                     7935
7	the Devout Servant                     11176
8	the Humble Disciple                    15936
9	the Devout Disciple                    22925
10	the Humble Adept                      33187
11	the Devout Adept                      48256
12	the Humble Curate                     70382
13	the Devout Curate                     102871
14	the Humble Canon                      150575
15	the Devout Canon                      220623
16	the Humble Preceptor                  323477
17	the Devout Preceptor                  474502
18	the Humble Priest                     696260
19	the Devout Priest                     1021879
20	the Humble Patriarch                  1500000
21	the Devout Patriarch                  2000000
22	the Humble Clerist                    2520000
23	the Devout Clerist                    3060000
24	the Humble High Clerist               3620000
25	the Devout High Clerist               4200000
26	the Humble High Priest                4800000
27	the Devout High Priest                5420000
28	the Humble Prophet                    6060000
29	the Devout Prophet                    6720000
 *1 Pretitle Apostle.  Titles may vary from 'God' to 'God'
-------------------------------------------------------------

Clerics are the next best in combat, after thieves, as they are
permitted to wear any armour types (may vary dependant upon the
God they worship). Clerics gain 9 hit points per point of constitution
raised, and wield mostly crushing weapons (again varying dependant
upon the God worshiped).

Clerics can employ a fair number of magical items including most 
potions; clerical and 'protection scrolls'; most rings; some wands,
rods, and staves; many other magical items; and other magical
weaponry (dependant upon the ethos of the God served).

Their powers are not totally devoted to healing, however; thiers rival
even mages in this case. Each diety has influence in the realms 
through their servants the clerics. Each power has a recognised name
and type depending upon the description of that influence - these
are called 'spheres of influence', as opposed to the magic-user
'school' equivalent.


Spheres of Influence.              Explanation
     HEALING SPHERE      -    This covers all types of healing from
the healing of wounds, to diseases, and poisons both natural and
magical in nature.

     NECROMANCY SPHERE   -    This sphere delves in the undead and
the evil nature of mankind and his soul. Necromancy is sometimes
not evil, however, but can also be used to restore full life to a dead
comrade, as in the example of 'raise dead' or 'resurrection'.

     COMBAT SPHERE       -    Clerics have certain attack spells 
which they use to defend not only themselves, but others as well.
Such spells include 'flamestrike' to 'spiritual hammer'.

     STELLAR SPHERE      -    All that is involved with extra-
spacial travel, the sun, moon, stars, and the heavens is encompassed
within this sphere of influence. 'Sunray', the 'Astral Spell', 
'Dimensional Folding', to 'Light' spells are within this sphere.

     PROECTION SPHERE    -    As one of the primary roles of a cleric
is the proector as well as the healer, the 'protection sphere' 
contains such spells as 'protection from level draining', 'protection
from fire', to the simple 'sanctuary' spell.

     NATURE SPHERE       -    All plant, animal, and elemantal
influences from the Gods are felt within this sphere. Such spells
are 'Plant door', 'Bark skin', as well as 'Charm Animals', and
'Create food and water'.

     DIVINATION SPHERE   -    A cleric, being in favour with the
deity that he worships, is able to gain divine help in answering
problems that face him. This sphere allows answers of the type
of that information which is normally hidden to mortal eyes, such
as detecting magic, augury spells, etc.

                              Angel, September 1993.
