Concept: Classes; the Fighter

Decription:

Although fighters do not have magic spells to use, their
armour and weapons can compensate. They have the most powerful
within melee combat, being the strongest of classes in regards
to sheer physical strength, gaining 15 hit points per point of
constitution gained. Any sort of armour or weapon is usable by
a fighter.


Table 1: Fighter Level Titles and Experience
-------------------------------------------------------------
Level        Fighter Titles                  Exp per Level
-------------------------------------------------------------
 1        the Utter Newbie                              0
 2        the Simple Wanderer                       1 014
 3        the Prominent Wanderer                    2 502
 4        the Simple Rover                          3 200
 5        the Prominent Rover                       4 224
 6        the Famed Rover                           5 727
 7        the Amateur Fighter                       7 935
 8        the Skilled Fighter                      11 176
 9        the Expert Fighter                       15 936
10        the Great Fighter                        22 925
11        the Famed Fighter                        33 187
12        the Amateur Warrior                      48 256
13        the Skilled Warrior                      70 382
14        the Expert Warrior                      102 871
15        the Great Warrior                       150 575
16        the Famed Warrior                       220 623
17        the Lesser Champion                     323 477
18        the Renowned Champion                   474 502
19        the Famed Champion                      696 260
20        the Amateur Swordsman                 1 021 000
21        the Lesser Swordsman                  1 500 000
22        the Prominent Swordsman               2 000 000
23        the Great Swordsman                   2 520 000
24        the Master Swordsman                  3 060 000
25        the Renowned Swordsman                3 620 000
26        the Famed Swordsman                   4 200 000
27        the Lesser Mercenary                  4 800 000
28        the Prominent Mercenary               5 420 000
29        the Great Mercenary                   6 060 000
30        the Master Mercinary                  6 720 000
-------------------------------------------------------------

When a fighter attains 30th level he may opt to establish a
freehold. This is done by having a building some type of
constructed; a castle, keep or the like. Whenever such a
freehold is established the fighter will:
     
     1) Attract henchmen, led by a man-at- arms. These are NPC
followers who will serve the fighter so long as his freehold is
maintained.

     2) Is able, through his freehold, train other fighters
who visit here. 


          Fighter Skills

  TWO WEAPON USE    -    A fighter is the only class who is
able to wield two weapons simultaneously, gaining an extra
attack with his off-handed weapon. The higher a fighter's two-
weapon skill the longer the weapons he is able to wield are.
When this skill is low, a fighter will only be able to wield
small weapons in both hands, like daggers of knives. At a high
enough skill level, a fighter may be able to wield two
longswords - one in each hand.

  UNARMED COMBAT    -    As a fighter is expert in hand-to-
hand combat there are situations in which he may not have a
weapon at the ready. A fighter is able to increase his damage
and ability to hit an opponent without a weapon with his un-
armed skill. 

  ARMOURING         -    Armour and its maintenance is a daily
ritual that a fighter will always go through. Armour slowly
breaks apart as it is constantly hit in combat. A fighter is
able to repair his armour as his skill in armouring increases.
It is not always successful, however. At low levels of skill
the fighter may even damage his armour in an attempt to repair
it - even though this is rare. At a high skill level, a
fighter may even be able to make his own armour, constructing
it from the roar mineral or hide of a monster, and creating an
excelent piece of armour.


  Usage: repair <armour name>
  See also 'help forging'


  WEAPONSMITH       -    The weapon is the tool of the
fighters trade, and a good fighter is never without an
excelent blade by his side. A fighters weaponsmith skill
allows him to understand the construction of weapons, being
able to smith his own, or repairing them in a similar fashion
as his skill in armouring. Hence, a fighter may be able to put
a keen edge on a longsword, or even make a staff perfect in
balance from a simple sapling.

  Usage: repair <weapon name>
  See also 'help forging'

  MULTIPLE ATTACKS  -    A fighter can increase his chance of
attacking a second time within combat. The higher this skill
is increased, the higher the likelihood of a second, third,
and even more attacks. 


See Further: 'help multiple'

Author: 
     Angel, Feb, 1995.
