                    The Magic-User.

Magic-users draw upon arcane powers in order to exercise their
profession. While they have mighty spells of offensive,
defensive, and informational nature, magic-users are very weak
in combat. They gain but 7 hit points per point of
constitution, and furthermore, they can wear no armour, other
than magical robes, cloaks, and bracers, and have few weapons
they can use, for martial training is so foreign to magic-
users as to make the two almost mutually exclusive.

There are many powerful items of magic which only this class
can employ. Most magic scrolls, wands, staves, and many of the
miscellaneous items of magic are usable only by this class.
Thus, while magic-users are not strong in combat with weapons,
they are possibly the more fearsome of all classes when high
levels of ability are finally attained. Survival to that point
can b a problem, however, as low level magic-users are quite
weak.

When a magic-user reaches 20th level (Magius) or higher, he
may scribe scrolls, and at 30th enchant items. This process requires
the undivided attention of the magic-user for quite long
periods of time, and it is also costly.

To enchant an item you need any object of worth; armour, weapons,
and things like that. The spell you want to enchant into the item
requires your skills level to be 10 levels higher. The process takes
about 5 minutes to complete. If you cast a protection spell, like
protection from fire, lightning, etc, on a piece of armour, this will
make your protected from that effect every time you wear that item.
For other spells, the enchantment becomes like a single casting like
from a wand. Each time you enchant the item, it adds charges to the item.
You can also add more spells to items you, or others have charged/enchanted.
The effectiveness of the spell is that of the min level required for the
highest level spell in the item.

When you enchant an item, only those people whose classes match yours,
can use that item. If you're a fighter/mage/thief, then any fighter, or
mage or thief classes can use that item.


To scribe scrolls, you require to be 10 levels of school higher than
the required level to cast the spell. A scroll is a one off casting,
and anyone of the same class can use a scroll. Even if you are a 40th
level mage, you can scribe a fireball scroll to a newbie mage, and he
can cast the fireball spell from the scroll.

Brewing potions also works in the same way. You need to be 5 levels higher
than the required spell level. Spells that are only personal effecting
can be brewed into potions. Such spells include invisibilty, wraith form,
potions of healing, etc.


Usage: scribe <spell name>

It is possible for a magic-user of 30th level or higher
(Archmage) to construct a strong-hold and reside in an area,
ruling such much as a noble.

At this level it is also possible to enchant magical items. Any item
of reasonable value can have an enchantment of sorts placed upon it.
Some items, however, may not keep certain magic that has been placed upon
them previously. Sometimes, the 're-enchanting' of an object by a player
magic user will remove the old enchantment in preference for the new one.

Placing additional enchantments on objects is VERY dangerous. The result
can cause an explosion, and possibly death for the mage.

   Usage: enchant <item>

Using 'enchant an item' all manner of items can be enchanted - sticks
and branches can become wands, swords can store magical spells inside
them, as well as armours of certain value. Rings and armours can be
permanently enchanted with protection magics and so when worn will
protect the player who does so.



Table 1: Magic-User Titles and Experience for Level
-------------------------------------------------------------
Level        Magic-User Title                Exp for Level
-------------------------------------------------------------
1	the Utter Newbie                       1014
2	the Apprentice                         2502
3	the Initiate                           3200
4	the Student of Magic                   4224
5	the Apprentice of Magic                5727
6	the Apprentice Magician                7935
7	the Magician                           11176
8	the Apprentice Sorcerer                15936
9	the Sorcerer                           22925
10	the Wizard                            33187
11	the Wizard of the 1st Circle          48256
12	the Wizard of the 2nd Circle          70382
13	the Wizard of the 3rd Circle          102871
14	the Wizard of the 4th Circle          150575
15	the Wizard of the 5th Circle          220623
16	the Wizard of the 6th Circle          323477
17	the Wizard of the 7th Circle          474502
18	the Wizard of the 8th Circle          696260
19	the Wizard of the 9th Circle          1021879
20	the Mage                              1500000
21	the High Mage                         2000000
22	the High Mage of the 1st Circle       2520000
23	the High Mage of the 2nd Circle       3060000
24	the High Mage of the 3rd Circle       3620000
25	the High Mage of the 4th Circle       4200000
26	the High Mage of the 5th Circle       4800000
27	the High Mage of the 6th Circle       5420000
28	the High Mage of the 7th Circle       6060000
29	the High Mage of the 8th Circle       6720000
30	the High Mage of the 9th Circle       7400000
-------------------------------------------------------------



          The Council of High Magic

The Council of High Magic is convened on set dates and times
as declared by the Master of the Council. The Council consists
of 9 wizards, who govern the use of magic, and its part in the
worlds of the MUD. All are wizards of atleast 30th level, who
have been voted in by a majority by existing council members
when a seat becomes vaccant within the Council. Members are
expected to attend all meetings. Failure of Council members to
attend meetings will result in their removal from the Council
and a new member to be voted upon to take that mages place.

Becomming a member of the Council of High Magic is a great
responsibility. Its members decide upon important features of
their profession, and discuss new spells, magical items,
ultimately to improve their class.


               Magic and Its Use.

All magic is seperated into 8 schools, each distinct and
seperate in its design. With the advancement of each skill
within these schools a magis-users ability also increases. He
gains the ability to cast new spells with each new level he
attains, gains more power, duration, and the ability to cast
more spells from that school. With each new level a magic-user
gains 2 more 'spell points' which measure his total magical
ability within that school. Hence, a magic-user with an
evocation level of 10 would have 20 spell points. However,
this is only a measure of the mages ability within that single
school, and not others.

Note also that a players level is different from his skill level in magic.
They are, infact, independant of eachother.

Each school of magic is described hereafter -

  School of Magic                  Explanation

  ABJURATION    -         These magics are primarily concerned
with prevention and exclusion of particular magical and
non-magical effects, situations, or individuals, and include
most spells of protection, avoidance, and repellence. EG -
'protection from evil', 'dispel magic', 'anti-magic shell'. 

  ALTERATION     -         Spells which modify existing
conditions or individuals through the infusion of magical
energy are alteration spells. Spells that give the recipient
enhanced strength, or the ability to fly, those that transmute
substances ('polymorph self', 'polymorph other') and spells
that have general affects ('move earth' or 'lower water') are
all alterations.

  CONJURATION  -         This school part brings additional
matter from elsewhere or create a duct between the caster and
some greater magical power. Spells that summon existing
animals or monsters into the area, bring into being on this
plane extra-dimensional creatures (such as elementals) are
conjurtation magics.

  DIVINATION   -         These are those that uncover
information that is otherwise hidden under normal
circumstances and includes spells that detect magical effects,
invisibility, and the like, those spells that predict hidden
of future events, and those that place the caster in contact
with powerful extradimensional creatures but do not involve
direct action by those creatures.

 CHARM          -         Such spells place a dweomer on the
target or item that radiates a magical aura. On physical items
it is normally used to invest an item with nagicak powers
(such as 'deep pockets' or 'bind'), but is more commonly used
to induce particular emotional or mental states in living
targets (such as 'friends', 'forget', or 'Otto's irresistable
dance').

  EVOCATION    -         This channels magical energy, using
that energy to create effects and types of matter. These
include permament features such as the 'wall of force',
'Bigby's Crushing Hand', et al, and temoprary effects such as
fireball and lightning bolt.

 ILLUSION      -         This creates a false reality.
Illusions alone create the apparent existence of items in the
minds of the viewers, or creating a shadow reality that gives
illusions the power and reality to affect the viewer as if
they were REAL. Illusions are not simply two-dimensional
holograms, but can touch the sound, smell, optical, and
thermal senses.

  NECROMANCY   -         This involves the health, hp, or
normal living (or once living) functions of objects. Spells
that increase or decrease hp, cause or cure wounds, or restore
lost souls to their bodies are all necromantic spells. Due to
the nature of handling the dead most users of this school are
evil. Perhaps this is the nature of the magic and its
influence on the mortal soul, or the fact that only the evil
and twisted dare utilize this magic.

See also: help <school>    (EG - help necromancy) 
See also: help <spell name> (EG - help magic missile)
                                   Angel, September 1993.
