                    The Thief.

The profession of thief is not dishonourable, albeit is
neither honourable nor highly respected in some quarters.
Thieve are principally meant to take by cunning and stealth.
Thieves have 12 hit points per point of constitution and are
the next most skilled in combat, next to fighters, using their
backstabbing ability to comence a fight. Due to their need for
light quick attacks, a thief is not permitted to wield weapons
in two hands, or wear a shield as they hamper his ability to
move and strike. If the thief is also a fighter, however, he
is permitted to wield two weapons simultaneously.

Also, due to the nature of his dexterous needs, any other armour,
other than leather, tends to hamper the thieves skills. Therefore,
no thief will wear armour that is more bulky or heavy than this.


The primary functions of a thief are:

     1) Steal  -    Picking pockets (or folds of a garment or
a girdle), which also includes such activities as pilfering
and filching small items. It is done by slight of hand. 

Stealing excessively is discouraged, and looked down upon by players
and Creators alike. 


Usage: steal <item> from <where>

Note, however, the successful stealing of wielded and worn
items does not mean the player has attained them - he has
mearly removed/un wielded them from the victim. Another
successful attempt indicates the thief has removed them.
Failure to steal an object usually means that an NPC will
attack. Those who are noticed will usually find themselves in
greater trouble by the law enforcement officers of that area.

     2) Locks  -    Openning locks includes figuring out how
to open sliding puzzle locks and foiling magical closures. It
is done by picking with tools and by cleaverness, plus
knowledge and study of such items. A player may attempt at
pick a lock as many times as he wishes. 

Usage: pl <item>

     3) Traps  -    This pertains to relatively small
mechanical devices such as poisoned needles, spring blades,
some magical spells and the like. Finding is accomplished by
inspection, and they are nulified by mechanical removal or by
being rendered harmless. Only one attempt per 'reset' may be
executed to detect a trap. Failure to disarm a trap usually
results in its activation.

Usage: ft <item>   Find trap
       rt <item>   Remove trap.

Note that a trap must be found first before it can be removed.


     4) Stealth     -    Hiding in shadows is the ability to
blend into dark areas, to flatten oneself, and by remaining
motionless when in sight, to remain unobserved. It is a
function of dress and practice, as well as experience.

Usage: hs          Hide in shadows

Moving silently is the ability to move with little sound and
disturbance, even across a squeaky wooden floor, for instance.
It is an ability which improves with experience.

Usage: ms           Move silently

     5) Backstab    -    Back stabbing is the striking of a
blow from behind, be it with a club, dagger, or a sword,
before combat has been initiated. The damage that occurs
increases with this skill. If the opponent is suprised
(usually a 2 in 6 chance, but can vary on the situation), then
the damage is substantially and considerably increased.

Usage: bs <opponent>     

     6) Appraise    -    With bargaining and charisma, often
the true value of items is never really acertained. A thief
can determine the approximate value of certain items with
greater efficiency as this skill increases, as is his ability
to negotiate prices for items is also increased; buying for
less and selling for more.

Thieves cannot build a stringholds as some other classes do.
They can, however, set up a head quarters for a gang of
thieves, and he will accordingly attract NPC followers,
typically other thieves. This construction is usually under
cities, in old abandoned warehouses, and the like.

Table 1: Thief levels and titles by Experience
--------------------------------------------------------------
 Level    Thief Titles                  Experience For Level
--------------------------------------------------------------
1	the Utter Newbie                       1014
2	the Apprentice Rogue                   2502
3	the Aspiring Rogue                     3200
4	the Apprentice Footpad                 4224
5	the Aspiring Footpad                   5727
6	the Master Footpad                     7935
7	the Apprentice Locksmith               11176
8	the Aspiring Locksmith                 15936
9	the Master Locksmith                   22925
10	the Apprentice Cutpurse               33187
11	the Aspiring Cutpurse                 48256
12	the Master Cutpurse                   70382
13	the Apprentice Robber                 102871
14	the Aspiring Robber                   150575
15	the Master Robber                     220623
16	the Apprentice Burglar                323477
17	the Aspiring Burglar                  474502
18	the Master Burlgar                    696260
19	the Apprentice Filcher                1021879
20	the Aspiring Filcher                  1500000
21	the Master Filcher                    2000000
22	the Apprentice Sharper                2520000
23	the Aspiring Sharper                  3060000
24	the Master Sharper                    3620000
25	the Apprentice Magsman                4200000
26	the Aspiring Magsman                  4800000
27	the Master Magsman                    5420000
28	the Aspiring Thief                    6060000
29	the Master Thief                      6720000
30	the Master Thief                      7400000
