inherit "inherit/clothing";

reset (arg) {
  if (arg) return;

  set_name("hat");
  set_short("hat of knowledge");
  set_long("This fine silk hat allows you to instantly know the requirements\n"+
     "of monsters of a level of your choise. Or even the weight and vaule\n"+
     "of armour and weapons by classes and power. Enjoy!\n"+
     "Commands: monster, armour, weapon, weapon2.\n");
  set_weight(0);
}

init() {
  ::init();
  add_action("moncheck","monster");
  add_action("armcheck","armour");
  add_action("wepcheck","weapon");
  add_action("wep2check","weapon2");
}

moncheck() {
  write("Level 1:    HP: 50     WC: 5    AC: 3    Money: 30\n");
  write("Level 2:    HP: 55     WC: 6    AC: 3    Money: 60\n");
  write("Level 3:    HP: 60     WC: 7    AC: 4    Money: 100\n");
  write("Level 4:    HP: 70     WC: 8    AC: 4    Money: 150\n");
  write("Level 5:    HP: 80     WC: 9    AC: 5    Money: 200\n");
  write("Level 6:    HP: 95     WC: 10   AC: 5    Money: 250\n");
  write("Level 7:    HP: 110    WC: 11   AC: 6    Money: 300\n");
  write("Level 8:    HP: 130    WC: 12   AC: 7    Money: 350\n");
  write("Level 9:    HP: 150    WC: 13   AC: 7    Money: 400\n");
  write("Level 10:   HP: 175    WC: 14   AC: 8    Money: 700\n");
  write("Level 11:   HP: 200    WC: 15   AC: 9    Money: 900\n");
  write("Level 12:   Hp: 230    WC: 16   AC: 9    Money: 1000\n");
  write("Level 13:   HP: 260    WC: 17   AC: 10   Money: 1200\n");
  write("Level 14:   HP: 300    WC: 18   AC: 11   Money: 1400\n");
  write("Level 15:   HP: 350    WC: 18   AC: 12   Money: 1600\n");
  write("Level 16:   HP: 450    WC: 20   AC: 13   Money: 1800\n");
  write("Level 17:   HP: 600    WC: 24   AC: 14   Money: 2000\n");
  write("Level 18:   HP: 800    WC: 26   AC: 15   Money: 2200\n");
  write("Level 19:   HP: 1100   WC: 27   AC: 16   Money: 2400\n");
  write("Level 20:   HP: 1500   WC: 30   AC: 17   Money: 2600\n");
  write("Level 21+:  HP: 1700   WC: 30   AC: 17   Money: 2800\n");
  return 1;
}

armcheck() {
  write("WGT:     1      2      3      4      5      6      7     8\n");
  write("AC: 1   300    200    130     90     60     -      -     -\n");
  write("AC: 2   900    600    260    175    120     -      -     -\n");
  write("AC: 3    -     2500   1700   1200    800    550     -    -\n");
  write("AC: 4    -      -    5600   3750   2500   1600   1000    -\n");
  write("AC: 5    -      -      -    9000   6000   4000   2600  1700\n");
  write("AC: 6    -      -      -      -   10000   6500   4300  2800\n");
  write("\nShield                           AC: 1-2\n");
  write("Armour\n");
  write("   Leather, Padded               AC: 1\n");
  write("   Studded leather, Ringmail     AC: 2\n");
  write("   Scalemail, Chainmail,\n");
  write("   Splintmail, Elfinchain        AC: 3\n");
  write("   Bandedmail, Platemail         AC: 4\n");
  write("   Fieldplate, Fullplate         AC: 5\n");
  write("   Bracers                       AC: 1-4\n");
  write("Cloak, Gloves, Helm, Boots       AC: 1\n");
  write("Amulet                           AC: 1\n");
  write("   Bracers, Broach, Amulet, (un)Holysymbol\n");
  write("\nMaterial: Bone, Ivory, Ceramic, Cloth, Crystal, Glass, Leather\n"+
     "Metal, Mithril, Meteorite Iron, Iron, Adamantite, Bronze, Silver\n"+
     "Gold, Platinum, Steel\n");
  return 1;
}

wepcheck() {
  write("WGT:    1     2      3      4      5      6       7       8      9\n");
  write("WC: 3   20    16     12     10\n");
  write("WC: 4   40    32     25     20\n");
  write("WC: 5    ?    80     64     50     40\n");
  write("WC: 6    ?   140    110     90     70\n");
  write("WC: 7    ?   200    160    130    100\n");
  write("WC: 8    ?   350    280    275    180\n");
  write("WC: 9         ?     500    400    320    260\n");
  write("WC: 10        ?     800    650    520    420\n");
  write("WC: 11        ?    1200    960    770    620\n");
  write("WC: 12        ?    1700   1300   1100    870\n");
  write("WC: 13               ?    2300   1800   1500    1180\n");
  write("WC: 14               ?    3100   2500   2000    1600\n");
  write("WC: 15               ?    4000   3200   2600    2100\n");
  write("WC: 16               ?    5000   4000   3300    2600\n");
  write("WC: 17                      ?    6200   4400    3800    3000\n");
  write("WC: 18                      ?    7300   5900    5000    4100\n");
  write("WC: 19                      ?    8500   7000    6300    5300\n");
  write("WC: 20                      ?   10000   9000    7700    6600\n");
  write("WC: 21+                           ?    12000    9600    8200    7600\n");
  return 1;
}

wep2check() {
  write("Type/Name                     (length/WC/classes)\n");
  write("Slash\n");
  write("   Sickle (24/9/-), Dagger (15/8/M,T), Knife (12/6/M,T),\n");
  write("   Scimitar (36,10,T), Broadsword (42/12/T), Longsword (45/13/T),\n");
  write("   Shortsword (24/10/T), Falchion (38/12/T), Khopesh (38/11/T),\n");
  write("   Rapier (48/12/T), Sabre (45/10/T), Cutlas (36/11/T)\n");
  write("Pierce\n");
  write("   Halberd (60/13/-), Lance (120-168/10/-), Ranseur (96/11/-),\n");
  write("   Spear (60-156/10/-), Trident (48-96/10/-), Javelin(60-160/10/-)\n");
  write("Crush\n");
  write("   Club (36/9/C), Mace (36/12/C), Flail (48/10/C), Sap (6/8/C,T),\n");
  write("   Hammer (24/11/C), Staff (72-96/12/M,C), Rod (40-75/10/M),\n");
  write("Cleave\n");
  write("   Battle Axe (48/12/-), Hand Axe (24/8/-), 2Handed Sword (72/14/-),\n");
  write("   Bastard Sword(54/13/-), Morning Star (24/9/-), Claymore (72/14/-)\n");
  return 1;
}
