#include <mudlib.h>

inherit ROOM;

void reset(status arg) {
  if(arg) return;
  set_short("Angel's workroom");
  set_long("You are here on a fluffy white cloud...\n");
  set_exits(({
	"players/alena/workroom", "alena",
    "room/void", "void",
    "room/city/square", "square",
    "room/city/t_hall1", "hall",
    "room/city/shop/shop", "shop",
  }));
  set_weather(5,5,5);
}

void init() {
  ::init();
  add_action("message", "message");
  add_action("map", "map");
}

status map() {
  string tmp;
  tmp = (string)"/room/ships/maps"->make_map();
  write(tmp);
  return 1;
}

message() {
  this_player()->set_mmsgout(
	"utters holy words...\n"+
	"A golden portal opens before him, bathing the room in heavenly light\n"+
	"Angel steps into the portal, which closes behind him.\n");

  this_player()->set_mmsgin(
	"steps through a golden portal of heavenly light...\n");
  write("Done.\n");
  return 1;
}


string *parse_command_id_list()
{
    write("room id list\n");
    return ({ "fish" });
}

string *parse_command_plural_id_list()
{
    write("room plural id list\n");
    return ({ "fishes" });
}

string *parse_command_adjectiv_id_list()
{
    write("room adj id list\n");
    return ({ "blue" });
}

string *parse_command_prepos_list()
{
    write("room preposition list\n");
    return ({
        "in", "from", "on", "under", "behind", "of", "for", "to",
        "with", "at", "off", "out", "down", "up", "around", "over",
        "into", "about", "inside",
    });
}
