#include <mudlib.h>
inherit ROOM;

void reset(status arg) {

  if (arg) return;
  set_short("A dense rainforest");
  set_long(
"~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n"+
"You have started up a gentle mountain slope. Random rays of sunlight\n"+
"shoot through to the ground in a constant struggle with the dense foliage\n"+
"of the rainforest. A small path trails down towards a valley to the\n"+
"southeast. The main path continues to wind up the mountain to the west.\n"+
"~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n");
  set_exits(({
    "players/sarak/minotaur/island/west1",  "northeast",
    "players/sarak/minotaur/island/west4",  "southeast",
    "players/sarak/minotaur/island/west6",  "west",
  }));
  set_weather(1,4,2);
  set_items(({
    "valley", "The small valley runs through the rainforest like a river bed",
    "mountain", 
      "The mountain is hidden under the cover of the dense rainforest",
    "path", 
      "The paths here wind through the many trees,\n"+
      "making it very easy to get lost",
    "sunlight", "The sunlight shoots throught the trees overhead,\n"+
      "providing the area with a rainbow affect",
    "foliage#rainforest#trees",
       "There are hundreds of trees throughout the rainforest",
  }));
}
