#include <mudlib.h>
inherit ROOM;

void reset(status arg) {

  if (arg) return;
  set_short("A dense rainforest");
  set_long(
"~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n"+
"Upon closer inspection of this apparent valley, you notice that it is\n"+
"actually a river. The only sign of water is a small waterfall slowly\n"+
"trickling down a cliff to the south. The ground here, however, is very\n"+
"hard and looks as though water has not touched this part of the river\n"+
"in decades.\n"+
"~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n");
  set_exits(({
    "players/sarak/minotaur/island/west3",  "northwest",
    "players/sarak/minotaur/island/west5",  "south",
  }));
  set_weather(1,4,2);
  set_items(({
    "ground",  "The dirt is so dry, it is as solid as rock",
    "waterfall#water", "You can't see much of it from here",
    "cliff", "The cliff towers high into the clouds",
    "river#valley", "What looked like a valley has actually turned\n"+
      "out to be a dry river bed",
  }));
}
