#include <mudlib.h>
inherit ROOM;

void make_encounter();
void reset(status arg) {

  make_encounter();
  if(arg) return;

  set_short("Main Street");
  set_long(
     "\tMain Street\n"+
     "You stand on Main Street which runs west from the town square.\n");  
  set_night_desc(
     "Tall golden sconces stand ablaze, lighting your way through Tempus.\n");

  set_day_desc(
     "The tall sconces stand empty, awaiting night fall when they   \n"+
     "will be lit for passers by.\n");

  set_night_items(({
     "sconces",            "Golden sconces bearing torches",
     "fire#torch#torches", "They appear well lit"
  }));

  set_day_items(({
     "sconces",       "They bear doused torches",
     "torch#torches", "They are not lit, awaiting night fall"
  }));

  set_weather(1, 1, 0);
  set_exits(({
     "room/city/square",   "west",
     "room/city/main_st2", "east"
  }));
}

make_encounter() {
  object monst;
  if(!this_object()->query_day()) { 
    if(!present("bandit"))
      monst = clone_object("room/city/monst/bandit");
  }
  else { 
    if(!present("orc"))
      monst = clone_object("room/city/monst/merchant");
  }
  if(monst)
    move_object(monst, this_object());
}
