inherit "inherit/room2.c";
object shadow;
reset(arg) {
    if(!shadow) {
	shadow = clone_object("/players/wrath/mon/shad_15.c");
	move_object(shadow,this_object());
    }
    set_weather(1,1,1);
    set_short("City of Zolgath");
    set_long(
      "You are standing at the edge of a small courtyard in the City of Zolgath.\n"
      "In the center of the courtyard rises the spire you have been seeing for some\n"
      "time.  Now that you are close to it you see that it is some sort of temple.\n"
      "The steps lead down to the east toward the temple itself with the path\n"
      "continuing both northeast and southeast around the outer courtyard.  Also the\n"
      "main road leaves to the west.\n");
    set_exits(({
	"/players/wrath/room/zolgath/20","east",
	"/players/wrath/room/zolgath/14","northeast",
	"/players/wrath/room/zolgath/26","southeast",
	"/players/wrath/room/zolgath/22","west"
      }));
    set_items(({"temple##spire",
	"The temple rises high above the city with a dark, majestic beauty.\n"
	"You are struck by awe at the sight.\n"}));
}
init() {
    ::init();
    add_action("east","east");
}
east() {
    if(shadow) {
	write("A whispering voice echos from the shadows:  You can't go that way...\n"
	  "You hear a soft demonic chuckling echoing around you, and you stop in your\n"
	  "tracks, unable to go forward.\n");
return 1;
    }
}
