#include <mudlib.h>
inherit ROOM;
void reset(status arg) {
  if(arg) return;

  set_short("A small bridge");
  set_long(
     "Your footsteps make creaking sounds as you walk across \n"+
     "this small wooden bridge that connects the town hall to\n"+
     "the north, and the town square to the south. Below you \n"+
     "are the clear blue waters of a small lake.\n");

  set_weather(2,4,0);
  set_items(({
     "bridge", 
          "You stand on a small wooden bridge",
     "lake#water#waters#small lake",
          "Below you is a small lake. You think you can see fish swimming\n"+
          "in there, but you can't be certain...they're moving too quickly",
     "fish",
          "You think you spot one darting under the bridge!",
     "hall#town hall",
          "The steps of the town hall are to the north",
     "square#city square#town square",
          "The town square is to the south"
  }));

  set_night_desc(
     "A lone, tall bronze sconce bears a torch to your way across \n"+
     "the bridge\n");

  set_night_items(({
     "torch#sconce#torches", 
          "A lone bronze sconce bears a flaming torch",
  }));

  set_exits(({
     "room/city/t_hall1", "north",
     "room/city/square",  "south"
  }));
}

void init() {
  ::init();
  add_action("swim", "swim");
}

status swim() {
  write("The lake looks too far below the bridge. \n"+
	"You might hurt yourself.\n");
  return 1;
}

