/* Another galideare - the elf child
 * Angel, October 1993.
 */
object shawl;

inherit "inherit/monster";
reset(arg) {
  ::reset(arg);
  if(arg) return;

  set_name("galideare");
  set_alias("gardener");
  set_short("Galideare, the gardener of the clerists tower");
  set_gender(2);
  set_race("elf");
  set_long(
     "Galideare is a poor elf maiden whose parents were killed  \n"+
     "by orcish marauders many years ago. She was rescued by a  \n"+
     "good and kind cleric of the All-God when she was just a   \n"+
     "child. Now she helps out within the gardens of the church here.\n");

  set_level(5);
  set_hp(100);
  set_wc(9);
  set_ac(5);
  set_al(300);
  add_money(20 + random(20));

  load_chat(5, ({ "Galideare rakes the leaves in the garden.\n",
     "Galideare says: Hullo there.\n",
     "Galideare smiles happily.\n",
     "Galideare says: Are you looking for the prophet?\n",
     "Galideare sings as she works.\n"
  }));

  load_a_chat(10, ({ "Galideare cries.\n",
     "Galideare bursts into tears.\n",
     "Galideare cries out for help.\n",
     "Galideare says: The All-God shall protect me.\n"
  }));

  load_l_chat(3, "elf", ({"If you travel to the homeland, visit the old sage",
     "Visit the sage in the elf homeland. He is wise and knows many things",
     "I can tell you the sad tale of the homeland",
     "My parents were slain by orc raiders"}));

  set_chance(10);
  set_spell_dam(10);
  load_spells(10, ({ "clw" }));
  set_spell_mess1("Galideare bites your ankle!");
  set_spell_mess2("Galideare bites 0 's ankle!");

  shawl = clone_object("inherit/clothing");
  shawl -> set_name("shawl");
  shawl -> set_weight(1);
  shawl -> set_short("A white wollen shawl");
  shawl -> set_long("It looks quite old, and of elvish design.\n");
  shawl -> set_value(100);
  shawl -> set_sell_destruct(1);
  move_object(shawl, this_object());
  init_command("wear shawl"); 
  set_wander(15, 360);
  set_heart_ob(this_object());
}

monster_heart_beat() {
  string tmp1, tmp2, room;
  int i, j;

  if(!sscanf(file_name(environment()), "%s#5d", room, i))
    room = file_name(environment());
  if(!sscanf(room, "%s/cleric/%s", tmp1, tmp2)) {
    tell_room(environment(), "Galideare runs quickly home.\n");
    move_object(this_object(), "room/city/cleric/garden5");
  }
}
