/* High Clerists Tower - hall2.c
 * Angel October 1993
 */

#include <mudlib.h>
inherit ROOM;


void reset(status arg) {
  load_door(({
    "file", "room/city/cleric/entrance",
    "long",
      "A large solid door",
    "direction", "north door",
    "key id", "city key",
  }));
  reset_doors(arg);

  if(arg) return;

  set_short("the hallway within the high clerists tower");
  set_long (
     "The white marble floor is highly polished, reflecting your gaze    \n"+
     "as you look down onto it. The air within here is cool and crisp,   \n"+
     "exuding a feeling of peace and harmony. A few soft magical lights  \n"+
     "light the ways throughout the clerists tower. To the south an      \n"+
     "archway leads the way into the gardens of the clerists tower.      \n");

  set_items(({
     "floor#marble",  "The floor is a higly polished marble",
     "reflection",    "It looks vaguely like you!",

     "light#lights#magical lights#magical light",
     "Soft magical lights line the way along the hallways",

     "arch#archway#walkways#garden#gardens", 
          "The walkways of the gardens are to the south"
  }));

  set_weather(2, 1, 0);

  set_exits(({
     "room/city/cleric/entrance", "north",
     "room/city/cleric/garden2",  "south",
     "room/city/cleric/hall3",    "east",
     "room/city/cleric/hall1",    "west",
  }));
}


     
