#include <mudlib.h>
inherit ROOM;

void reset(status arg) {
object board;
  load_door(({
    "file", "room/city/t_hall4",
    "direction", "south door",
    "long", "A door of solid oak, bound in steel.\n",
    "key id", "city key",
  }));

  if(!present("board")) {
    board = clone_object(BULLETIN_BOARD);
    board -> set_save_file("ob_saves/inner1_board");
    board -> set_short("A creator's notice board");
    move_object(board,this_object());
  }

  if(arg) return;
  set_short("The inner room of town hall");
  set_long(
     "This large chamber exudes the magical power that allows the  \n"+
     "creator to design and create. Here is where creators meet and\n"+
     "to discuss matters of great importance.                      \n"+
     "\tNorth --> 'QC' notes and area approval\n"+
     "\tEast  --> 'LPC' notes and coding items\n");

  set_exits(({
     "room/city/creator/qc",    "north",
     "room/city/creator/lpc",   "east",
     "room/city/creator/elder", "west",
  })); 
  set_weather(2,1,0);
}
