#include <mudlib.h>
inherit ROOM;

void reset(status arg) {
  object obj;
  if(!present("guard")) {
    obj = clone_object("room/city/monst/guard1");
    move_object(obj,this_object());
  }
  load_door(({
    "file", "room/city/garden/garden6", 
    "direction", "west gate",
    "key id",    "city key",
    "long",
       "A grand old iron lattice gate that leads into the city gardens.\n",
  }));
  reset_doors(arg);

  if(arg) return;
  set_short("the city gardens");
  set_long(
    "The east wall of the city gardens opens here at the grand old gates.\n"+
    "Ornate gargoyles stare down at you; ever watching stone guardians of \n"+
    "this peaceful and tranquil place. ");
  set_day_desc(
     "The sun shines down here, bathing \n"+
     "everything here in a golden light.\n");
  set_night_desc(
     "The moon light from the dark night sky makes the gargoyles seem     \n"+
     "almost alive.\n");
  set_weather(1,4,0);
  set_items(({
    "wall#north wall#garden#gardens",
      "The city gardens lie through the gate, to the south",
    "gargoyles",
      "Ornate stone gargoyles, perched atop the garden gates",
  }));
  set_day_items(({
    "sun", "Do you want to go blind?",
  }));
  set_night_items(({
    "moon", "The moon looks dark and scary at this time of night",
  }));
  set_exits(({
    "room/city/market4", "east",
  }));
}
