#include <mudlib.h>
#define NAME (string)this_player()->query_name()
inherit ROOM;

void reset(status arg) {
  reset_doors(arg);
  load_door(({
     "file", "room/city/mage/gfloor2",
     "direction", "south door",
     "long",
          "A huge set of darkwood double doors.\n",
     "key id", "city key",
  }));

  if(arg) return;
  /* only clone this guy once per reboot */
  if(!find_living("ariakas")) {
    move_object(clone_object("players/angel/monst/ariakas"),this_object());
  }

  set_short("the city garden");
  set_long(
    "A lone mountain ash stands here beside the pathway that winds \n"+
    "through the Tempus city gardens. A dark tower stands by the   \n"+
     "south pathway. ");
  set_day_desc(
     "The sunlight beams down on you from on high, peeking \n"+
     "through the white fluffy clouds.\n");
  set_night_desc(
     "The moon stares down at you as dark sinister clouds pass by.\n");

  set_listen("The air is silent; the sound of peace.\n");

  set_items(({
     "tower",
          "The tower of the council of High Magic",
     "ash#mountain ash",
        "One of the tallest trees in the world",
     "wall#walls",
          "Tall walls surround the gardens, protecting the flaura and "+
          "fauna inside",
     "path#cobblestone path#cobblestones#cobblestone",
          "A well travelled cobblestone path",
  }));
  set_day_items(({
     "sunlight#sun#light",
          "Do you want to go blind?",
     "cloud#clouds",
          "They are white and fluffy. One reminds you of an echidna",
  }));

  set_night_items(({
     "moon",
          "You can see the man in the moon. He \n"+
          "appears to be grinning an evil grin at you",
     "cloud#clouds",
          "They look dark and sinister...and very spooky",
  }));
  set_exits(({
     "room/city/garden/garden5", "north",
     "room/city/garden/garden3", "east",
     "room/city/garden/garden1", "west",
  }));
  set_weather(1,4,0);
}

