#include <mudlib.h>
inherit ROOM;

void reset(status arg) {
  if(arg) return;
  set_short("Tempus harbour");
  set_long(
    "The sounds of the waves crash against the long wooden wharf which \n"+
    "many ships are moured from many mystical places around the realms.\n");
  set_listen("The sounds of the waves are peaceful.\n");
  set_smell("The salt air acosts your olfactory senses.\n");
  set_exits(({
	"room/city/knowl2", "west",
	"room/ships/open/types/bounty/stern", "bounty",
  }));
  set_weather(2, 4, 0);
  set_items(({
	"ship#ships",
	"Several ships are docked here at the jetty. \n"+
	"Perhaps you should read the notice beside the dock.\n",
  }));
}

void init() {
  ::init();
  add_action("read", "read");
}

status read(string str) {
  if(str == "notice" || str == "sign") {
    write(
	" Notices on Ships.\n"+
	"The Bounty is the usual ship which takes customers to far \n"+
	"away lands. When the ship arrives, simply type the ships  \n"+
	"name, which will appear as an exit in the room.           \n");
    return 1;
  }
  return 0;
}

