#include <mudlib.h>
inherit ROOM;

void reset(status arg) {
  if(arg) return;

  set_short("Main Street intersection");
  set_long(
     "\tMain & Market Streets\n"+
     "You stand at the intersection of Main Street, which runs west,\n"+
     "and Market Street which runs north/south from here. A tall, \n"+
     "ancient building stands along Knowledge Street to the east.\n");

  set_night_desc(
     "Tall golden sconces stand ablaze, lighting your way through Tempus.\n");

  set_day_desc(
     "The tall sconces stand empty, awaiting night fall when they   \n"+
     "will be lit for passers by.\n");

  set_items(({
	"building",  "The great library of Tempus city",
  }));

  set_night_items(({
     "sconces",            "Golden sconces bearing torches",
     "fire#torch#torches", "They appear well lit"
  }));

  set_day_items(({
     "sconces",       "They bear doused torches",
     "torch#torches", "They are not lit, awaiting night fall"
  }));

  set_weather(2, 1, 0);
  set_exits(({
     "room/city/knowl1",     "east",
     "room/city/main_st2",   "west",
     "room/city/market1",    "north",
     "room/city/market2",    "south",
  }));
}
