#include <mudlib.h>
inherit ROOM;

void reset(status arg) {
  reset_doors(arg);
  load_door(({
     "file", "room/city/alchemst",
     "direction", "west door",
     "key id", "city key",
     "long",
          "A tall red door with a tiny peek hole in the center.\n",
  }));

  if(arg) return;
  set_short("Market Street");
  set_long(
     "\tMarket Street\n"+
     "Fine grey cobblestones line the way up and down the long \n"+
     "busy market street; a place where all kinds of business  \n"+
     "takes place. There is a large sign above the door of the \n"+
     "shop to the west of the street; a fine house with a red  \n"+
     "roof. ");
  set_items(({
     "cobblestones",
          "A strange grey cobblestone, possibly worked from the \n"+
          "dwarvish mines to the far north",
     "sign",
          "Perhaps you could read it?",
     "house",
          "A tall, cousy, two story house",
     "roof",
          "The roof is painted a bright red colour!",
  }));
  set_weather(1,1,0);
  set_exits(({
     "room/city/main_st3", "north",
     "room/city/market3",  "south",
  }));
}

void init() {
  ::init();
  add_action("read", "read");
}

status read(string str) {
  string tmp1, tmp2;
  if(sscanf(str, "%ssign%s", tmp1, tmp2)) {
     write(
     "                        ******    \n"+
     "    The              **********   \n"+
     " A L C H E M I S T  **    ****    \n"+
     "                  -+-+-           \n"+
     " Potions brewed    | |            \n"+
     "                   |_|            \n");
    say(this_player()->query_name()+" reads the sign above the door.\n",
     this_player());
    return 1;
  }
  return 0;
}

   

