#include <mudlib.h>
inherit ROOM;

void reset(status arg) {
  object board;
  if(!present("board")) {
    board = clone_object(BULLETIN_BOARD);
    board -> set_long(
     "All kinds of information for players and creators alike are "+
     "posted here.\n");
   board -> set_save_file("/ob_saves/t_hall2_board");
   move_object(board,this_object());
  }
  load_door(({
     "destination", "room/city/t_hall1",
     "direction",   "south door",
     "long",        "A door of solid oak.\n",
     "door id",     "door",
     "key id",      "city key",
  }));
  load_door(({
     "destination", "room/city/post",
     "direction",   "east door",
     "long",        "A door of red cedar. It looks very sturdy.\n"+
                    "A golden plaque above the door reads:     \n"+
                    "\tTempus Post Office.\n",
     "key id",      "no_key",
  }));
  reset_doors(arg);
  if(arg) return;

  set_short("the Great Hall of Tempus ");
  set_long(
     "The sounds of your footsteps echo loudly throughout this       \n"+
     "huge chamber. This is Tempus's great hall, where all people    \n"+
     "come to meet and discuss matters of public importance. Many    \n"+
     "rows of chairs and benches stand in a semi-circle around a     \n"+
     "central podium. There are a few other smaller chambers leading \n"+
     "off to the east and west.\n");
  set_items(({
     "sconce#sconces", "They hold lit torches",
     "torch#torches",  "They appear to be lit"
  }));
  set_exits(({
     "room/city/t_hall4",   "north",
     "room/city/t_hall1",   "south",
     "room/city/t_hall3",   "west",
  }));
  set_weather(2, 1, 0);
}

