/* town_hall3.c */

#include <mudlib.h>
inherit ROOM;

void reset(status arg) {
  load_door(({
     "destination", "room/city/bank",
     "direction",   "north door",
     "long",        "A solid door with steel bands about its middle.\n"+
                    "A silver plaque in the middle reads: \n"+
                    "\tThe Tempus City Vault\n",
  }));


/*
  load_door(({
     "destination", "room/city/clerk",
     "direction",   "south door",
     "long",        "A solid door with a simple copper plaque, which reads:\n"+
                    "\tTempus City Clerk.\n",
  }));
*/

  if(arg) return;
  set_short("the corridors of the town hall");
  set_long(
     "The sounds of your footsteps echo loudly throughout the     \n"+
     "long corridors of the town hall. The way here is lit by     \n"+
     "a few tall bronze torch sconces. The city vault is directly \n"+
     "to the north, while the city clerk's office is to the south.\n");
  set_items(({
     "sconce#sconces", "They hold lit torches",
     "torch#torches",  "They appear to be lit"
  }));
  set_exits(({
     "room/city/t_hall2", "east",
  }));
  set_heart_beat(1);
  set_weather(2, 0, 0);
}

void heart_beat() {
  if(!random(20)) 
    tell_room(this_object(), "The torches flicker and crackle.\n");
}
