/* Thief tunnel1 */

#include <mudlib.h>
#include  "/include/fn/linewrap.h"
inherit ROOM;

void reset(status arg) {
  reset_doors(arg);
  load_door(({
    "direction", "trap door",
    "file", "room/city/pub/pub",
    "long",
      "A trap door in the ceiling.\n",
    "key id", "city key",
  }));
  if(arg) return;

  set_short("A dark damp tunnel beneath the city");
  set_long(lw(
    "Water that drips down the walls in this small round tunnel "+
    "meanders it's way around underneath the city above.\n"));

  set_exits(({ "room/city/pub/pub", "up",
               "room/city/thief/tunnel2", "east"
  }));

  set_weather(0, 1, 0);
  set_listen("You hear the dripping of water off the walls...");
  set_smell("The air about you smells damp and musty...");
}
