#include <mudlib.h>
inherit ROOM;

#define ELF 4 /* Number of elves */

object *elves;

void reset(status arg) {
  int i;
  object belf;
  
  if(!arg) {
     set_short("the elfin forest");
     set_long(
"You are at the western end of the forest. The forest is really dark here.\n"+
"You hear sounds from all around you, and none of them seem inviting. That\n"+
"once lovely sound of birds chirping, doesn't exist anymore. Many elves   \n"+
"hide in this darkness.\n");

    set_exits(({
      "room/newbie/new11",  "north",
      "room/newbie/new9",   "east",
    }));
    set_weather(1,4,3);
  }

  if(!elves) elves = allocate(ELF);
  for(i = 0; i < ELF; i++) {
    if(!elves[i]) {
      belf = clone_object(MONSTER);
      belf->set_name("elf");
      belf->set_short("a dark elf");
      belf->set_long(
          "A small elf, with black skin. This is truly a strange sight.\n");
      belf->set_level(3);
      belf->set_ac(4);
      belf->set_wc(7);
      belf->set_gender(1);
      belf->set_race("elf");
      belf->set_al(-100);
      belf->add_money(100);
      move_object(belf, this_object());
      elves[i] = belf;
    }
  }
}
