#include <mudlib.h>
inherit ROOM;


void reset(status arg) {
  object over, ham;
  
  if(!arg) {
     set_short("the elfin forest");
     set_long(
"You are travelling along the western end of the forest. Screeches and\n"+
"screams echo around the forest. You look up, but you don't see anything.\n"+
"There is a slight trail of blood on the ground from something being\n"+
"dragged. Don't let the same fate happen to you.\n");
     set_exits(({
        "/room/newbie/new10", "south",
        "/room/newbie/new12", "east",
     }));
     set_items(({
      "trail#blood", "A long trail of blood",
     }));
     set_weather(1,4,3);
   }

   if(!present("overlord")) {
      over = clone_object(MONSTER);
      over->set_name("overlord");
      over->set_alias("elf");
      over->set_short("The Overlord");
      over->load_chat(10,({"Overlord laughs at you.\n",
          "Overlord shakes her fist at you.\n",
          "Overlors says: Lloth will devour your puny spirit.\n",
      }));
      over->set_long(
"The ruler of this part of the forest. She is the largest elf alive.\n"+
"She rules with an iron fist, and an iron hammer to match.\n");
      over->set_level(8);
      over->add_class("cleric");
      over->add_class("mage");
      over->load_spells(30,({ "shadow monsters", "burning hands",
          "cure light wounds", "resist fire", "resist cold",
          "resist lightning", "resist death",
          "cure serious wounds", 
      }));
      over->set_ac(8);
      over->set_gender(2);
      over->set_al(-500);
      over->set_race("dark elf");
      move_object(over, this_object());
    }

    if(!present("hammer", over)) {
    if(over) 
      ham = clone_object(WEAPON);
      ham->set_name("hammer");
      ham->set_short("Hammer of Injustice");
      ham->set_long(
"A massive hammer.  The handle is made of petrified wood.  The head\n"+
"of the hammer is made of steel, hardened to twice the strength of\n"+
"normal steel.\n");
      ham->set_wc(9);
      ham->set_weight(5);
      ham->set_value(320);
      ham->set_length(20);
      ham->set_type("crush");
      move_object(ham, over);
      command("wield hammer", over);
      over->set_wc(12);
    } 
}
