#include <mudlib.h>
inherit ROOM;

#define ENT 3

object *ents;

void reset(status arg) {
  int i;
  object ent;
  
  if(!arg) {
     set_short("the elfin forest");
     set_long(
"The forest if full of life here.  All kinds of little animals rummage\n"+
"through the forest here. You hear the sound of whistling coming from\n"+
"the distance. If You are lucky, you can find lots of little elves\n"+
"to stomp.\n");
     set_exits(({
      "/room/newbie/new2",  "southwest",
      "/room/newbie/new4",  "east",
      "/room/newbie/new5",  "north",
     }));
     set_weather(1,4,3);
  }
  if(!ents) ents = allocate(ENT);
  for(i = 0; i < ENT; i++) {
    if(!ents[i]) {
       ent = clone_object(MONSTER);
       ent->set_name("treant");
       ent->set_short("a small treant");
       ent->set_long(
               "A small walking talking oak tree.\n"
               "It must be the child of a much larger ent.\n");
       ent->set_level(2);
       ent->set_ac(3);
       ent->set_wc(7);
       ent->set_race("oak tree");
       ent->add_money(60);
       move_object(ent, this_object());
       ents[i] = ent;
    } 
  }
}
