inherit "inherit/treasure";

void reset(status arg) {
  if(arg) return;
  set_sell_destruct(1);
  set_name("list");
  set_short("The list of best parties");
  set_long(
	"Written here is the list of the best parties on the mud.\n"+
	"Perhaps you could read it?\n");
  set_weight(1);
  set_value(10);
}

init() {
  ::init();
  add_action("read_me", "read");
}

status read_me(string str) {
  object obj;
  if(!str) return 0;
  if(present(str, this_player())) {
    if(str == "list") {
      obj = clone_object("obj/more");
     move_object(obj, environment());
      obj -> more("/open/party/party_best");
      return 1;
    }
  }
  return 0;
}
