#include <mudlib.h>
inherit MAGIC_WEAPON;

void reset(status arg) {
  if(arg) return;
  set_name("longsword");
  set_type("slash");
  set_length(42);
  set_short("A longsword");
  set_long(
	"A longsword made from some strange blue, shinny metal. It \n"+
	"glows with a soft white light, as if perhaps blessed by   \n"+
	"some agent of goodness. The weapon is very light, and     \n"+
	"quite possibly very old. It bears the symbol of the All-God\n"+
	"in its hilt and guard; that of a crucifix with two dragons \n"+
	"encircling it.\n");
  set_wc(16); /* +2 longsword */
  set_value(3300);
  set_weight(6);
  set_sell_destruct(1);
  set_class(({ "paladin", }));
  set_enchanted(1);
  add_spell("dispel magic");
  set_info("A holy avenger, which, when wielded in the hands of \n"+
	   "a paladin, becomes a sword of power against evil.\n");
  set_alias("holy avenger");
  set_hit_func(this_object());
}

int weapon_hit(object target) {
  object ob;
  int bonus_dmg;


  ob = environment();
  if(ob->query_class("paladin")) {
    bonus_dmg += 3; /* makes it a total of +5 */
