#include <mudlib.h>
inherit MONSTER;

void reset(status arg) {
  ::reset(arg);
  if(arg) return;

  set_name("bandit");
  set_race("human");
  set_short("A bandit");
  set_long("The bandit hides in the shadows. He waits for you to move \n"+
           "along the alley. Dressed in black rags, and dark cloaks, \n"+ 
           "he hesitates, sensing your gaze.\n");
  set_level(1);
  set_hp(50);
  set_gender(1);
  set_ac(5);
  set_wc(4);
  set_attack_msg(({
	"misses",		"",
        "stabs",                "with his hidden blade",
        "swings",               "with a mighty blow",
        "cuts",                 "with a quick strike",
        "rips",                 "desparately",
        "crushes",              "with a swift kick",
        "shreds",               "angrily",
  }));
  load_chat(8, ({ "The bandit looks at your purse. \n",
        "The bandit creeps in the shadows. \n",
        "The bandit says- Time for you to Die! \n",
        "The bandit cackles at you. \n",
  }));
  load_a_chat(6, ({ "The bandit screams!\n",
        "The bandit tries to escape!\n",
       "The Bandit curses you! \n",
  }));
}
