#include <mudlib.h>
inherit MONSTER;

void reset(status arg) {
  ::reset(arg);
  if(arg) return;

  set_name("dog");
  set_race("dog");
  set_short("A ferocious dog");
  set_long("This dog appears to be ill, and starving. It has apparently been \n"+
           "eating small children that have wandered in the alleys.\n");
  set_level(1);
  set_hp(50);
  set_gender(0);
  set_ac(5);
  set_wc(4);
  set_attack_msg(({
	"misses",		"",
        "bites",                "harshly",
        "scratches",            "with its paws",
        "snaps",                "at your neck",
        "tears",                "ravenously",
        "tries to bite",        "with its fangs",
        "rips",                 "with a deadly bite",
  }));
  load_chat(8, ({ "Dog looks for some lunch.\n",
        "Dog sniffs at you.\n",
        "Dog drools at the sight of your delicious flesh.\n",
        "Dog sniffs at some garbage.\n",
        "Dog growls at your approach.\n",
  }));
  load_a_chat(6, ({ "Dog yelps in pain!\n",
        "Dog scrambles to get away!\n",
        "Dog howls at you.\n",
  }));
}
