#include <mudlib.h>
inherit MONSTER;

void reset(status arg) {
  ::reset(arg);
  if(arg) return;

  set_name("goblin");
  set_race("goblin");
  set_short("A goblin guard");
  set_long("The goblin looks menacing, and quick. She squats, crouched \n"+
           "in a battle ready position. Covered with grime and dirt, \n"+
           "she has lived a lifetime underground, hating all that lives \n"+  
           "on the surface. She has huge cruel green claws, and sharp \n"+
           "fangs. She looks you over, sizing up your abilities. \n");  
  set_level(2);
  set_alignment(-30);
  set_hp(53);
  set_gender(2);
  set_ac(3);
  set_wc(6);
  set_attack_msg(({
	"misses",		"",
        "bites",                "harshly",
        "scratches",            "with its claws",
        "snaps",                "at your neck",
        "tears",                "ravenously",
        "tries to bite",        "with its fangs",
        "rips",                 "with a deadly bite",
  }));
  load_chat(8, ({ "The goblin watches your every move. \n",
        "The goblin growls, and drools.\n",
        "The goblin scurries about. \n",
        "The goblin chews on a human bone.\n",
        "The goblin circles you.\n",
  }));
  load_a_chat(6, ({ "The goblin curses you!\n",
        "The goblin claws in desparation!\n",
        "The goblin spits on you!\n",
  }));
}
