#include <mudlib.h>
#define NAME (string)this_player()->query_name()
inherit ROOM;

void reset(status arg) {
  if(!present("goblin")) {
    move_object(clone_object("players/biggs/mnstr/goblin"),this_object());
  }
  if(arg) return;

  set_short("The Goblin Cave Entrance");
  set_long(
     "You stand at the bottom of a crude ladder, at the entrance to \n"+
     "the horrible goblins scout camp. You sense that this \n"+
     "place has only been recently established by the goblins. \n"+
     "A ruined note lies on the ground here.\n"+    
     "    \n");


  set_smell("You smell common cave mold and fungus.\n");
  set_listen("You hear the sounds of your movements echoing off the cave wall. \n");
  set_items(({ 
     "note#ruined note",
           "The note reads: ... the city is now vulnerable to attack ",
     "ladder", 
		"A ladder that leads upward. Perhaps you could climb it?\n",
  }));
  set_exits(({
     "players/biggs/town/caves/cave2",  "north",
  }));
  set_weather(0,0,0);
}

void init() {
  ::init();
  add_action("climb", "climb");
}

status climb(string str) {
  if(str == "ladder") {
    write("You climb the ladder.\n");
    this_player()->move_player("up the ladder#players/biggs/town/all9ey");
    return 1;
  }
  notify_fail("Climb what?\n");
  return 0;
}

