#include <mudlib.h>
inherit MONSTER;

void make_items();
void reset(status arg) {
    ::reset(arg);
    if(arg) {
	make_items();
	return;
    }
    set_name("mage");
    set_short("Journeyman");
    set_long(
      "The man before you appears to be in his mid 30's."+
      " His robes mark him \n"+"as a Journeyman mage "+
      "close to becoming a master. He is on duty here \n"+
      "making sure all the wards are in place.\n"+"\n"

    );
    set_al(100); 
    set_race("human");
    add_spell_immune("charm");
    set_gender(1);
    load_chat(5, ({
	"Journeyman says: Please! I have work to do.\n",
	"Journeyman preforms a ritual.\n",
	"Journeyman says : The wards here are in a delicate balance.\n",
	"Journeyman scratches his head.\n",

      }));
    load_a_chat(8,({
	"Journeyman shouts: Stop, you must not break the seals!\n",
	"Journeyman prepairs a spell.\n",
      }));
    add_class("mage");
    load_spells(20,({ 
	"fire shield", "burning hands", "comet", "chill touch", 
	"ice storm", "stoneskin", "chain lightning", "death spell",
      }));
    set_level(15);
    add_money(100 + random(500));
    set_magic_resist(45 + random(50));
    make_items();
    set_heart_ob(this_object());
}




void make_items() {
    object obj;

    if(!present("dagger"))
	move_object(clone_object("room/city/obj/dagger"),this_object());
    if(!present("robe"))
	move_object(clone_object("/players/josh/room/mage/dungeon/obj/jmanrobe.c"), this_object());
    command("wear robe",this_object());
    command("wield dagger",this_object());

}
