/* MACE of Disruption */
inherit "inherit/weapon";

reset(arg) {
  if(arg) return;
  set_name("mace");
  set_type("crush");
  set_wc(17);  /* plus 5 mace */
  set_length(36);
  set_weight(4);
  set_value(5000);
  set_short("A white marble mace");
  set_long(
     "This weapon bears silver and platinum bound into the shaft,     \n"+
     "and is made from a solid slab of pure white marble, unblemished \n"+
     "and excelently crafted. \n");

  set_hit_func(this_object());
  set_sell_destruct(1);
  set_enchanted(1);
  set_light(1);   /* soft glow */
}

weapon_hit(target) {
  if(target -> id("undead")) {
    tell_room(environment(environment()), 
              target->query_name() +" cries out in pain!\n");
    target -> turn(random(15));
  }
  return 17; /* double damage vs undead */
}

query_info() {
  return "A mace of disruption. This magical mace is able to turn undead \n"+
         "as well as a cleric of reasonable power. It also returns double\n"+
          "damage versus these beasts\n";
}

  
