#include <mudlib.h>
inherit ROOM;

void reset(status arg) {

  if (arg) return;
  set_short("A dense rainforest");
  set_long(
"~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n"+
"You push on along the winding path. As you climb higher up the mountain,\n"+
"a strange mist makes itself at home, surrounding the entire area. The sun\n"+
"doesn't seem to be able to make it through the mist, making the room dark\n"+
"and spooky. Further on up the mountain, the mist seems more dense, while\n"+
"the path to the south leading down into another valley is much lighter.\n"+
"~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n");
  set_exits(({
    "players/sarak/minotaur/island/west3",  "east",
    "players/sarak/minotaur/island/west8",  "south",
    "players/sarak/minotaur/island/west7",  "northwest",
  }));
  set_items(({
    "path", "The path splits up here. one leading of to the northwest\n"+
      "and another to the south",
    "mountain", "The mountain seems to go on forever. You\n"+
      "cannot see the top due to the mist enveloping the area",
    "mist", "The strange mist gets thicker the higher you go",
    "sun", "There is no sun here. The mist is too thick!",
  }));
  set_weather(1,4,2);
}
