#include <mudlib.h>
inherit ROOM;

void reset(status arg) {

  if (arg) return;
  set_short("A dense rainforest");
  set_long(
"~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n"+
"The mist slowly clears as you make your way down into this small valley\n"+
"within the mountain. The sun has found it's way back through the canopy\n"+
"of trees and mist. A recent shower of rain has left the valley sparkling\n"+
"with little drops of water and a beautiful scent.\n"+
"~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n");
  set_exits(({
    "players/sarak/minotaur/island/west6",  "north",
    "players/sarak/minotaur/island/west9",  "west",
  }));
  set_smell("There's nothing as refreshing as the sweet smell of rain.\n");
  set_items(({
    "valley", "The small valley is nestled high within the mountain",
    "mist", "The mist has cleared now, allowing you to see again",
    "mountain", "The beautiful mountain is covered in trees",
    "sun", "The sun makes a welcome return from the darkness caused\n"+
           "by the mist. It sparkles off the fresh drops of rain",
    "trees#tree", "The trees are everywhere. Never have you seen so many!",
    "drops#drop#water#drops of water",
      "The water is the result of recent shower.\n"+
      "It has added to the beauty of the rainforest",
    "rain", "The rain has been and gone silly!",
  }));
  set_weather(1,4,2);
}
