#include <mudlib.h>
inherit "inherit/room2";

reset (arg) {
  if (!present("board")) {
    object board;
    board = clone_object(BULLETIN_BOARD);
    board->set_save_file("players/sarak/minotaur/board");
    board->set_long(
      "Welcome to Sarak's area. This board has been placed here so that\n"+
      "players and creators can post ideas, problems, bugs, etc. If you\n"+
      "do find any bugs, please mail Sarak about them.\n");
    move_object(board, this_object());
  }
  if (arg) return;

  set_short("Minotaur Island");
  set_long (
   "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n"+
   "As you glance around this small and uninviting island, you notice a\n"+
   "large golden castle nestled within the mountains to the north. The\n"+
   "cool ocean breeze combined with the chilly water washing over your\n"+
   "feet help to cool you down on this hot tropical island. To your east\n"+
   "and west lies a great forest. You can make out small walking tracks\n"+
   "leading into the western part of the forest.\n"+
   "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n");
  set_weather(1,4,2);
  set_exits (({
    "players/sarak/minotaur/island/west1",  "west",
                "/players/sarak/minotaur/entrance.c", "north",
  }));
  set_items (({
    "castle", "The magnificent castle is covered in gold. From here it\n"+
      "looks a little different towards the top of the castle",
    "mountains", "These huge mountains make up most of the island and\n"+
      "provide a safe haven for the castle",
    "forest", "The dense rainforest seems impossible to travel through",
    "tracks", "The small tracks in the forest have become too small to\n"+
      "travel through due to the fast growing trees",
    "water", "The ocean water looks very refreshing",
  }));
}
