#include <mudlib.h>
inherit ROOM;

void reset(status arg) {
  if(arg) return;

  set_short("Main Street");
  set_long(
     "\tMain Street\n"+
     "You stand on Main Street which runs west from the town square.\n"+
     "On the north side of the street is an old house, with a missing door.\n");
  set_night_desc(
     "Tall golden sconces stand ablaze, lighting your way through Tempus.\n");

  set_day_desc(
     "The tall sconces stand empty, awaiting night fall when they   \n"+
     "will be lit for passers by.\n");

  set_night_items(({
     "sconces",            "Golden sconces bearing torches",
     "fire#torch#torches", "They appear well lit"
  }));

  set_day_items(({
     "house",         "It looks like it's been here for many years",
     "sconces",       "They bear doused torches",
     "torch#torches", "They are not lit, awaiting night fall"
  }));

  set_weather(1, 1, 0);
  set_exits(({
     "/players/serepion/open/house", "north",
     "room/city/main_st1",   "west",
     "room/city/main_st3",   "east"
  }));
}
