inherit "inherit/room2.c";
reset(arg) {
    if (arg) return;
    set_weather(1,1,1);
    set_short("Altar");
    set_long(
      "You seem to step completely from the mist in one instant as you reach the\n"
      "small plateau at the top of the stairs.  Here, the forces of evil almost\n"
      "force you to your knees.  Fear and darkness strike you with a very physical\n"
      "blow that makes your stomach knot up.  Before you is a small altar with a\n"
      "gentle reddish glow emanating from it.\n");
    set_exits(({"/players/wrath/room/zolgath/2","south"}));
    set_items(({"altar",
	"A black stone altar.  This is what is radiating the evil of this place.\n"
	"You are drawn to it... there upon it is a small glowing rune.\n",
	"rune##glowing rune",
	"A small glowing rune of a spider shape with an etched L in the center.\n"
	"The rune is carved into the stone and the grooves seem to be filled with a\n"
	"wet, glowing, reddish substance... almost like defiled blood.  You are drawn\n"
	"to touch it.\n"}));
}
init () {
    ::init();
    add_action("touch","touch");
}
status touch(string str) {
    if (str=="rune") {
	write(
	  "A shadowy image of a huge spider with a beautiful female drow torso and head\n"
	  "upon it appears before you.\n"
	  "Lolth commands you:  Kneel before me mortal.\n"
	  "You feel your knees weaken and you collapse before the Demon Goddess.\n"
	  "Lolth whispers:  Good choice mortal.  You shall live another day.\n"
	  "You hear her echoing laughter as her form fades from view.\n");
	say(
	  "You see " +this_player()->query_name() + " fall prone on the ground before\n"
	  "the altar.  You feel terror in you heart but you are unsure of the source\n"
	  "of this anxiety.\n");
	return 1;
    }
    return 0;
}
