inherit "inherit/std_pub.c";
void reset(status arg) {
if(!present("ansin")) arg = 0;
if (arg) return;
set_weather(2,2,1);
set_owner("ansin");
set_short("Demonic Horde Tavern");
set_long(
  "You are in the Demonic Horde Tavern.  It is very dimly lit and the walls\n"
  "are finished in a very dark wood, which intensifies the dimness.  There\n"
  "are a few patrons here right now.  Most seem to be humans of which a few\n"
  "wear the black dragonscale armor of the Dragonarmies of Zrod.  There are\n"
  "also a few of what appear to be darkskinned elves.  A few of these people\n"
  "glance at you as you wander in and silence immediately sets in.\n"
  "You do not seem to be overly welcome.\n"
  "Over the bar you see a sign.\n");
add_drink("shroud","a bottle of Darkness Shroud","An evil force fills your soul reviving you.",5);
add_drink("widow","a bottle of Black Widow","An evil force radiates across your soul making you feel stronger.",10);
add_drink("blood","a bottle of Demon's Blood","An evil force takes command of your mortal soul and you feel divinely strengthened.",15);
set_exits(({
    "/players/wrath/room/zolgath/32","north"
  }));
set_items(({"sign","A sign, perhaps you should read it."}));
}
void init() {
    ::init();
    add_action("read","read");
}
status read(string str) {
    if (str=="sign") {
	write("Drinks Available:\n"
	  "     Darkness Shroud\n"
	  "     Black Widow\n"
	  "     Demon's Blood\n");
	return 1;
    }
    return 0;
}
