inherit "inherit/room2.c";
object warrior1,warrior2;
reset(arg) {
    if(!warrior1) {
	warrior1=clone_object("/players/wrath/mon/drw_black.c");
	move_object(warrior1,this_object());
    }
    if(!warrior2) {
	warrior2=clone_object("/players/wrath/mon/drw_black.c");
	move_object(warrior2,this_object());
    }
    if(arg) return;
    set_weather(1,1,1);
    set_short("Stairs");
    set_long(
      "You are on a carved stone staircase leading up to another ridge.  You can\n"
      "see the City of Zolgath to the southwest and on the ridge you see what seems\n"
      "to be a faint glow.  You wonder what it could be.\n");
    set_exits(({
	"/players/wrath/room/zolgath/3","east",
	"/players/wrath/room/zolgath/5","southwest"}));
    set_items(({"stairs##stair##steps",
	"A long stone staircase leading up above the City of Zolgath\n",
	"glow","It is a faint yellowish glow against the gray horizon\n"}));
}
init() {
    ::init();
    add_action("east","east");
}
east() {
    if(warrior1) {
	write("The warrior hurls you roughly to the ground!\n"
	  "Warrior snarls:  Where do you think your going?\n");
	say("The Warrior hurls " +this_player()->query_name() + " to the ground!\n");
	return 1;
    }
    if(warrior2) {
	write("The warrior hurls you roughly to the ground!\n"
	  "Warrior snarls:  Where do you think your going?\n");
	say("The Warrior hurls " + this_player()->query_name() + " to the ground!\n");
	return 1;
    }
}
