#include <mudlib.h>
inherit ROOM;

void reset(status arg) {
  if(arg) return;

  set_short("Main Street");
  set_long(
     "\tMain Street\n"+
     "You stand on Main Street which runs east from the town square.\n"+  
     "To the northwest the sounds of the city forge echo along the street,\n"+
     "while the sounds of holy choirs come from the southwest pathway.\n");
  set_night_desc(
     "Tall golden sconces stand ablaze, lighting your way through Tempus.\n");

  set_day_desc(
     "The tall sconces stand empty, awaiting night fall when they   \n"+
     "will be lit for passers by.\n");

  set_night_items(({
     "sconces",            "Golden sconces bearing torches",
     "fire#torch#torches", "They appear well lit"
  }));

  set_day_items(({
     "sconces",       "They bear doused torches",
     "torch#torches", "They are not lit, awaiting night fall"
  }));

  set_weather(1, 1, 0);
  set_exits(({
     "room/city/square",     "east",
     "room/city/cleric/entrance", "southwest",
     "room/city/armourer",  "northwest",
  }));
}
