#include <mudlib.h>
inherit ROOM;

void reset(status arg) {
  reset_doors(arg);
  load_door(({
    "file", "room/city/garden/n_gate",
    "direction", "north gate",
    "long",
      "A grand old iron lattice gate that leads out of the city gardens.\n",
    "key id", "city key",
  }));

  if(arg) return;
  set_short("the city garden");
  set_long(
     "The leaves dance and swirl around your feet as you stand before  \n"+
     "the north gate of the city gardens. Here, amid the ever blooming \n"+
     "fragrant flowers adventurers come to seek peace and tranquility. \n");
  set_day_desc(
     "The sunlight beams down on you from on high, peeking through the \n"+
     "white fluffy clouds.\n");
  set_night_desc(
     "The moon stares down at you as dark sinister clouds pass by.\n");

  set_listen("The wind rustles in the gum trees around you.\n");
  set_smell("The flowers of the mallee shrubs smell heavenly.\n");  

  set_items(({
     "shrub#flower#flowers",
          "Around the sides of the cobblestone path stand a gippsland \n"+
          "mallee; a native australian eucalypt shrub, with creamy   \n"+
          "fringed flowers. All eucalypt flowers consist of masses   \n"+
          "of staemens and barely visible petals",
  }));
  set_day_items(({
     "sunlight#sun#light",
          "Do you want to go blind?",
     "cloud#clouds",
          "They are white and fluffy. One reminds you of a big kangaroo",
  }));
  set_night_items(({
     "moon",
          "A white barron moon",
     "cloud#clouds",
          "They look dark and sinister...and very spooky",
  }));
  set_exits(({
     "room/city/garden/garden5", "south",
     "room/city/garden/garden9", "east",
     "room/city/garden/garden7", "west",
  }));
  set_weather(1,4,0);
}
