#include <mudlib.h>

inherit ROOM;
void reset(status arg) {
  object ob;
  if(!present("greeli")) {
    ob = clone_object("room/city/monst/greeli");
    move_object(ob, this_object());
  }

  reset_doors(arg);

  if(arg) return;
  load_door(({
	"direction", "north door",
	"file",      "room/city/library/library",
	"long",
	"A tall door of red wood bound with iron and bronze",
	"closed",
  }));

  set_weather(2, 4, 0);
  set_short("Knowledge Street");
  set_long(
	"\tKnowledge Street\n"+
	"A tall, ancient building in elven design stands here amid \n"+
	"a small grove of red woods. The street winds away to the  \n"+
	"east where the sounds of the ocean can be heard.\n");
  set_night_desc(
	"Torches hang in sconces either side of the path that leads\n"+
	"into the building.\n");
  set_day_desc(
	"A simple pebble path leads into the building.\n");

  set_items(({
	"building",
	"The Tempus city library",

	"street",
	"Knowledge street winds westward toward the city docks, \n"+
	"back west into the heart of the city of Tempus",

	"grove#wood#woods#red woods",
	"The grove of trees was grown by elves when the library was built",
  }));

  set_listen("...it's as if the trees are whispering to you...\n");
  set_smell("The grove of elven trees sends feelings of freedom "+
	"to your spirit.\n");

  set_exits(({
	"room/city/main_st3", "west",
	"room/city/knowl2", "east",
  }));
}

