/* main_st5.c */

inherit "inherit/room2";

reset(arg) {

  if(arg) return;

  set_short("Main Street");
  set_long(
     "\tMain Street\n"+
     "You stand on Main Street which runs west from the town square.\n"+  
     "The walls of the city gardens stand tall to the north of the road.\n");
	
  set_night_desc(
     "Tall golden sconces stand ablaze, lighting your way through Tempus.\n");

  set_day_desc(
     "The tall sconces stand empty, awaiting night fall when they   \n"+
     "will be lit for passers by.\n");

  set_items(({
	"wall#walls",
	"Huge walls stand to the north, protecting the wild life within",

	"gate#south gate",  "A gate of simple irom stands to the north",

	"garden#gardens",
		"The Gardens of Tempus"
  }));

  set_smell("The fragrent smells of new flowers comes from the north.\n");

  set_night_items(({
     "sconces",            "Golden sconces bearing torches",
     "fire#torch#torches", "They appear well lit"
  }));

  set_day_items(({
     "sconces",       "They bear doused torches",
     "torch#torches", "They are not lit, awaiting night fall"
  }));

  set_weather(2, 1, 0);
  set_exits(({
	"room/city/main_st7", "east",
	"room/city/main_st5", "west"
  }));
}

