#include <mudlib.h>
#pragma combine_strings
inherit ROOM;

object obj1, obj2;
void reset(status arg) {
  reset_doors(arg);
  load_door(({
     "file", "room/city/shop/shop",
     "direction", "east door",
     "long",
          "A fine door with iron bands. Across the door is a sign.\n",
     "key id", "city key",
  }));
  if(arg) return;

  set_short("Market Street");
  set_long(
     "\tMarket Street\n"+
     "Market street ends here, with the high walls of the city gardens \n"+
     "to the west, and the city general store to the east.\n");
  set_items(({
     "sign",
          "Perhaps you could read it?",
     "wall#walls",
          "The high walls of the city gardens",
  }));
  set_weather(1,1,0);
  set_exits(({
     "room/city/market4",   "north",
  }));
}

void init() {
  ::init();
  add_action("read", "read");
}

status read(string str) {
  string tmp1, tmp2;
  if(!sscanf(str, "%ssign%s", tmp1, tmp2)) {
    return 0;
  }
  write(
   "\t-< The  SQUASHED  GOBLIN  General  Store >- \n");
  return 1;
}
    
