#include <mudlib.h>
inherit ROOM;

void reset(status arg) {
  if(!present("guard")) {
    int i;
    for(i=0; i<4; i++) {
      move_object(clone_object("room/city/monst/guard1"),this_object());
    }
  }

  load_door(({
    "destination", "room/city/t_hall2",
    "direction", "north door",
    "key id", "city key",
    "closed", 1,
    "lock description", "A solid brass lock\n",
    "lock id", "lock",
    "door id", "north door",
    "long", "A door of solid oak.\n",
  }));

  if(arg) return;

  set_long(
     "Tall corinthian columns tower above you, reaching toward the \n"+
     "domed ceiling above laiden with ornate carvings out of the   \n"+
     "white stone. You appear to be standing on the front steps of \n"+
     "what appears to be the town hall of Tempus. The steps trail  \n"+
     "back down to the south across a small bridge that spans a    \n"+
     "small lake to the city square. \n");

  set_short("the Town Hall steps");

  set_weather(2,3,0);

  set_night_desc(
     "Several tall bronzed torch stands shed light here.\n");

  set_items(({
     "columns#column",  "Tall corinthian columns that reach high "+
     "your head to the domed ceiling",

     "carvings#ceiling#domed ceiling#carving",
     "The domed ceiling appears to have ornate carvings depicting\n"+
     "a never ending battle between good and evil. Both appear to "+
     "be in dead-lock",

     "bridge#lake",
     "A small bridge stands at the bottom of the steps, reaching \n"+
     "across a small blue lake. It appears to be man made",

     "square",
     "You spy the city square to the south",

     "step#steps",
     "The steps lead back to the south to a small bridge"
  }));

  set_exits(({
     "room/city/t_hall2", "north",
     "room/city/bridge", "south",
  }));

  set_smell("The air here is fresh and clean.\n");
  set_listen("You can hear footsteps echoing through the halls ahead.\n");
}
