#include <mudlib.h>
inherit ROOM;

#define ELF 4

object *elves;

void reset(status arg) {
   int i;
   object dgg, delf;
   
   if(!arg) {
     set_short("the elfin forest");
     set_long(
"You have stepped into the dark part of the forest. This is the place \n"+
"where all the outcast elves abide, those that dwell in darkness. It is\n"+
"said that they do not take to kindly too kindly ti visitors.\n");

     set_exits(({
         "/room/newbie/new2",  "east",
         "/room/newbie/new9",  "west",
     }));
     set_weather(1,4,3);
  }
  if(!elves) elves = allocate(ELF);
  for(i = 0; i < ELF; i++) {
    if(!elves[i]) {
      delf = clone_object(MONSTER);
      delf->set_name("elf");
      delf->set_short("a dark elf");
      delf->set_long(
          "A mysterious elf. Most of dark elf society is run by the \n"+
          "women. She dresses in all black to conceal their movements\n"+
          "in the forest.\n");
      delf->set_level(5);
      delf->set_ac(5);
      delf->set_wc(9);
      delf->set_al(-100);
      delf->set_race("dark elf");
      move_object(delf, this_object());
      elves[i] = delf;
    }
    if(!present("dagger", elves[i])) {
      dgg = clone_object(WEAPON);
      dgg->set_name("dagger");
      dgg->set_short("a dagger");
      dgg->set_long(
        "A small metal dagger, made from a strange black ore.\n");
      dgg->set_wc(8);
      dgg->set_weight(5);
      dgg->set_value(180);
      dgg->set_type("slash");
      dgg->query_type();
      dgg->set_length(24);
      move_object(dgg, elves[i]);
      command("wield dagger", elves[i]);
    } 
  }
}
