#include <master.cfg>
#include <udp.h>

int udp_who(mapping data) {
    INETD->send_udp(data[NAME], ([
     REQUEST: REPLY,
     RECIPIENT: data[SENDER],
     ID: data[ID],
	DATA: (string)PLAYER->who(),
    ]) );
	return 1;
}

string test_data() {
  return (string)PLAYER->who();
}

void who(string mud) {
  if(!MASTER->valid_player_call(previous_object())) return;
  if(INETD->send_udp(mud,
            ([ REQUEST: "who",
               SENDER:  (string)this_player()->query_name(1),
            ]), 1))
    write("Who Request Sent.\n");
}
