/* Cloudkill */

#define NAME "@@query_name:$this_player()$@@"  /* gives greater flexibilty */
#define TARG "@@query_name:$this_object()$@@"


status cloudkill(string targ, mixed alt_type) {
  int dam, i;
  string file;

  if(!alt_type) alt_type = "evocation";
  dam = (objectp(alt_type))
      ? (int)alt_type->query_cast_level() 
      : (int)call_other(this_player(),"query_"+alt_type);
  dam *= (random(6) + 1);
  if(dam > 60) dam = 60;  

  file = file_name(this_object());
  sscanf(file,"%s#%d",file,i);

  this_player()->load_spell(({
  "target",            targ,
  "name",              "Cloudkill",
  "sphere",            alt_type, 
  "cost",              30,
  "damage",            dam,
  "immune",            "poison",
  "level",             30, /* 15 dam+20 instant kill+5 area - 8 cast time */
  "cast time",         3,
  "area",
  "spell object",      file,
  "casting msg",       ({ "A mist starts to swirl about you.\n",
                          "Voluminous thick vapours start surrounding you.\n",
                       }),
  "casting msg room",  ({ "A mist starts to swirl about"+ NAME +".\n",
                          "Voluminous thick vapours start surrounding you.\n",
                       }),
  "msg target",     "You stagger through the gas, choking on the posion...\n",
  "msg room",       "You see "+ TARG 
                   +" stagger through the gas, choking on the posion...\n",

/*
  "msg caster",       0,
  "passive",
 */
  }));
  return 1;
}


/******************************************************************/
/* when cloned to target */


status cast_spell(object caster,object target,object prev,int dmg) {
  if(target == caster) {
    destruct(this_object());
    return 1;
  }
  if(dmg == (int)caster->query_spell_dmg()) { /* did not save */
    if(target != caster) {
      tell_object(caster,(string)target->query_name()+
                  " is unable to withstand the gas' effect!\n");
    }
    tell_object(target, "You are unable to survive the effects of the gas!\n");
    say((string)target->query_name()+
        " is unable to withstand the gas' effect!\n", target);
    target->death();
    destruct(this_object());
    return 1;  /* do not do damage */
  }
  destruct(this_object());
  return 0;  /* do damage */
}


/* Native Mode Move */

#include <move.h>
