/* VALID PSI POWERS *
 * When you add a power to the psi bin, you must also make sure that
 * you add it here, and whether or not it is a science or devotion.
 */

#define SCIENCE  3
#define DEVOTION 1

varargs valid_power(string power, status discipline) {
  mapping powers;
  mixed *tmp;

  powers = ([
	/* telepathic skills */
        "mind thrust"  : ({ DEVOTION, "telepathy", }),
        "id insinuation" : ({ DEVOTION, "telepathy", }),
        "ego whip" :       ({ DEVOTION, "telepathy", }),

	/* psychoportive skills */
        "teleport": ({ SCIENCE, "psychoportive", }),

	/* psychokinetic skills */
        "disintegrate": ({ SCIENCE, "psychokinetic", }),

	/* psychometabolic skills */
        "body weaponry": ({ DEVOTION, "psychometabolic", }),

	/* clairsentience skills */
        "object reading": ({ DEVOTION, "clairsentience", }),

  ]);

  tmp = powers[power];
  return (discipline) ? tmp[1] : tmp[0];
}
